[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / ControlSetValue

# Function: ControlSetValue()

> **ControlSetValue**(`controlId`, `options`): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/forms/src/lib/decorators/control-set-value.ts:9](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/decorators/control-set-value.ts#L9)

## Parameters

### controlId

`string`

### options

`Omit`\<[`ControlSetValueOptions`](../interfaces/ControlSetValueOptions.md), `"propertyKey"`\> = `{}`

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
